Show / Hide Table of Contents

# Struct ImPlotStylePtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImPlotNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImPlotStylePtr

### Constructors

| Improve this Doc View Source

#### ImPlotStylePtr(ImPlotStyle*)

##### Declaration

    public ImPlotStylePtr(ImPlotStyle*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyle* | nativePtr |

| Improve this Doc View Source

#### ImPlotStylePtr(IntPtr)

##### Declaration

    public ImPlotStylePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### AnnotationPadding

##### Declaration

    public readonly ref Vector2 AnnotationPadding { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### AntiAliasedLines

##### Declaration

    public readonly ref bool AntiAliasedLines { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Colors

##### Declaration

    public readonly RangeAccessor<Vector4> Colors { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Numerics.Vector4> |

| Improve this Doc View Source

#### DigitalBitGap

##### Declaration

    public readonly ref float DigitalBitGap { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DigitalBitHeight

##### Declaration

    public readonly ref float DigitalBitHeight { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ErrorBarSize

##### Declaration

    public readonly ref float ErrorBarSize { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ErrorBarWeight

##### Declaration

    public readonly ref float ErrorBarWeight { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### FillAlpha

##### Declaration

    public readonly ref float FillAlpha { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### FitPadding

##### Declaration

    public readonly ref Vector2 FitPadding { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### LabelPadding

##### Declaration

    public readonly ref Vector2 LabelPadding { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### LegendInnerPadding

##### Declaration

    public readonly ref Vector2 LegendInnerPadding { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### LegendPadding

##### Declaration

    public readonly ref Vector2 LegendPadding { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### LegendSpacing

##### Declaration

    public readonly ref Vector2 LegendSpacing { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### LineWeight

##### Declaration

    public readonly ref float LineWeight { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MajorGridSize

##### Declaration

    public readonly ref Vector2 MajorGridSize { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MajorTickLen

##### Declaration

    public readonly ref Vector2 MajorTickLen { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MajorTickSize

##### Declaration

    public readonly ref Vector2 MajorTickSize { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### Marker

##### Declaration

    public readonly ref int Marker { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MarkerSize

##### Declaration

    public readonly ref float MarkerSize { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MarkerWeight

##### Declaration

    public readonly ref float MarkerWeight { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MinorAlpha

##### Declaration

    public readonly ref float MinorAlpha { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MinorGridSize

##### Declaration

    public readonly ref Vector2 MinorGridSize { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MinorTickLen

##### Declaration

    public readonly ref Vector2 MinorTickLen { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MinorTickSize

##### Declaration

    public readonly ref Vector2 MinorTickSize { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MousePosPadding

##### Declaration

    public readonly ref Vector2 MousePosPadding { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImPlotStyle*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImPlotStyle* |

| Improve this Doc View Source

#### PlotBorderSize

##### Declaration

    public readonly ref float PlotBorderSize { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### PlotDefaultSize

##### Declaration

    public readonly ref Vector2 PlotDefaultSize { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### PlotMinSize

##### Declaration

    public readonly ref Vector2 PlotMinSize { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### PlotPadding

##### Declaration

    public readonly ref Vector2 PlotPadding { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### Use24HourClock

##### Declaration

    public readonly ref bool Use24HourClock { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### UseISO8601

##### Declaration

    public readonly ref bool UseISO8601 { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### UseLocalTime

##### Declaration

    public readonly ref bool UseLocalTime { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(ImPlotStyle* to ImPlotStylePtr)

##### Declaration

    public static implicit operator ImPlotStylePtr(ImPlotStyle*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyle* | nativePtr |

##### Returns

Type | Description
--- | ---
ImPlotStylePtr |

| Improve this Doc View Source

#### Implicit(ImPlotStylePtr to ImPlotStyle*)

##### Declaration

    public static implicit operator ImPlotStyle*(ImPlotStylePtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStylePtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImPlotStyle* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImPlotStylePtr)

##### Declaration

    public static implicit operator ImPlotStylePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImPlotStylePtr |